\begin{caml_primitive}
power_ratio_positive_int : ratio * int -> ratio
power_ratio_positive_big_int : ratio * big_int -> ratio
\end{caml_primitive}

\verb"power_ratio_positive_int (r, i)" yields the rational number resulting 
from the computation of $r^{i}$ where $i$ is a positive \verb"int".

\verb"power_ratio_positive_big_int (r, bi)" yields the rational number
resulting from the computation of $r^{bi}$ where $r$ is a positive rational
number.

\exple
\begin{small}
\begin{verbatim}
#power_ratio_positive_int (#[1.09],#10);;
#[236736367459211723401/100000000000000000000] : ratio

#power_ratio_positive_big_int (#[2], #(32));;
#[4294967296/1] : ratio
\end{verbatim}
\end{small}
